org.richfaces.fragment.inplaceSelect

## Interface InplaceSelect

- All Known Implementing Classes:
    RichFacesInplaceSelect

      public interface InplaceSelect

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextInputComponent` | `getTextInput()` Gets the associated text input.
    `ConfirmOrCancel` | `select(ChoicePicker picker)` Selects the first option according to the given `picker`param.``
    `ConfirmOrCancel` | `select(int index)` Selects the option from the list of the options at index.
    `ConfirmOrCancel` | `select(String text)` Selects the first option, which matches the given `text`.

- - ### Method Detail

    - #### select

          ConfirmOrCancel select(ChoicePicker picker)

      Selects the first option according to the given `picker`param. In other words, it selects the first option which satisfies the choice picking rules defined in `picker```
      Parameters:
        `picker` - for defining the rules by which the suggestion will be selected
      Returns:
        object by which a user can actually change the select value (confirm), or return to the previous input value (cancel)
      Throws:
        `IllegalArgumentException` - if there is no such element which satisfies the rules given by `picker`

    - #### select

          ConfirmOrCancel select(int index)

      Selects the option from the list of the options at index.
      Parameters:
        `index` - index of option
      Returns:
        object by which a user can actually change the select value (confirm), or return to the previous input value (cancel)
      Throws:
        `IllegalArgumentException` - if there is no such element with index `index`

    - #### select

          ConfirmOrCancel select(String text)

      Selects the first option, which matches the given `text`.
      Parameters:
        `text` - the text of the option to be selected
      Returns:
        object by which a user can actually change the select value (confirm), or return to the previous input value (cancel)
      Throws:
        `IllegalArgumentException` - if there is no such element with text representation matching the given `text`

    - #### getTextInput

          TextInputComponent getTextInput()

      Gets the associated text input.
      Returns:
        the text input of the component
      See Also:
        `TextInputComponentImpl`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.